summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorSanto Cariotti <santo@dcariotti.me>2024-09-06 16:09:25 +0200
committerSanto Cariotti <santo@dcariotti.me>2024-09-06 16:09:25 +0200
commitff68c8cd24baef66ebb038d237b8f501c84edde5 (patch)
treea719191dce466a03244a705337f58c8f83f6f926 /scripts
parentc4ef50c1f566b86c8892fa344ade8d5ca66fb93b (diff)
Add script and configuration for Kubernetes
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/k8s.yaml40
-rwxr-xr-xscripts/release.sh10
2 files changed, 50 insertions, 0 deletions
diff --git a/scripts/k8s.yaml b/scripts/k8s.yaml
new file mode 100755
index 0000000..350a19a
--- /dev/null
+++ b/scripts/k8s.yaml
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+usage() {
+ echo "Usage: $0 (apply|delete)"
+}
+
+if [ $# -ne 1 ]; then
+ usage
+ exit 1
+fi
+
+command=$1
+
+if [ "$1" != "apply" ] && [ "$1" != "delete" ]; then
+ usage
+ exit 1
+fi
+
+K8S_FOLDER="../k8s"
+
+if [ "$(basename "$PWD")" = "backend" ]; then
+ K8S_FOLDER="./k8s"
+fi
+
+YAML_FILES=(
+ "cas-config.yaml"
+ "cas-deployment.yaml"
+ "cas-secret.yaml"
+ "cas-service.yaml"
+ "network-policy.yaml"
+ "pgdata-pvc.yaml"
+ "postgres-deployment.yaml"
+ "postgres-service.yaml"
+)
+
+for file in "${YAML_FILES[@]}"; do
+ file="$K8S_FOLDER/$file"
+ echo "${command^}ing $file ..."
+ envsubst < $file | kubectl "$command" -f -
+done
diff --git a/scripts/release.sh b/scripts/release.sh
new file mode 100755
index 0000000..9c513f4
--- /dev/null
+++ b/scripts/release.sh
@@ -0,0 +1,10 @@
+if [ $# -eq 0 ]; then
+ echo "You must pass the version number."
+ exit 1
+fi
+
+sed -i "3s/.*/version = \"$1\"/" Cargo.toml
+cargo c
+git add Cargo.*
+git commit -m "release: version $1"
+git tag -a "v$1" -m "Version $1"